> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/preinscribedlaunchpad/setup-padding-outputs.md).

# Setup Padding Outputs

{% hint style="info" %}
An API Key is required to interact with Launchpad APIs. Please contact us to get an API Key and get started.
{% endhint %}

Use this endpoint to create a transaction that will create padding outputs for the buyer.

This returns a PSBT in base64 format which needs to be signed and broadcast by the buyer's payment wallet address.

### `POST` /launchpad/setup-padding-outputs

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/launchpad/setup-padding-outputs`

API Key is required in the header:

`headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }`

Example Request Body, this will create a new `launch`:

```json
{
  "address": "3NyCZefqHSYiQRQdqaxYkaHnuFED1vyc4q",
  "publicKey": "4fa4865e593f24fbf0852ca94039e68cdaae783098918ed6b0118fad4e476541",
  "feeRateTier": "fastestFee"
}
```

#### Request Body

| address\*    | String | Buyer's payment wallet address. The buyer will need to pay the cost of the transaction from UTXOs belonging to this address.            |
| ------------ | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| publicKey\*  | String | Public Key for buyer's payment wallet address.                                                                                          |
| feeRateTier  | String | Transaction fee rate should be one of the following. Defaults to fastestFee if not specified: fastestFee halfHourFee hourFee minimumFee |
| numOfOutPuts | number | Number of dummy padding outputs to create. This defaults to 3 if not specified                                                          |

{% tabs %}
{% tab title="200: OK " %}

```json
// Response has to be signed the the payment wallet
{
    "buyerInputIndices": [
        0
    ],
    "psbt": "cHNidP1BAP15AQIAAAAE1K5...........", // base64 transaction to be signed
    "psbtHex": "70736..."
}


```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/preinscribedlaunchpad/setup-padding-outputs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
